# Ice::PropertiesAdmin

## Overview

### interface PropertiesAdmin

The PropertiesAdmin interface provides remote access to the properties of a communicator.

## Operation Index

getProperty
  Get a property by key.
getPropertiesForPrefix
  Get all properties whose keys begin with prefix.
setProperties
  Update the communicator's properties with the given property set.

## Operations

### string getProperty(string key)

Get a property by key. If the property is not set, an empty string is returned.

#### Parameters

key
  The property key.

#### Return Value

The property value.

### PropertyDict getPropertiesForPrefix(string prefix)

Get all properties whose keys begin with prefix. If prefix is an empty string then all properties are returned.

#### Parameters

prefix
  The prefix to search for (empty string if none).

#### Return Value

The matching property set.

### void setProperties(PropertyDict newProperties)

Update the communicator's properties with the given property set.

#### Parameters

newProperties
  Properties to be added, changed, or removed. If an entry in newProperties matches the name of an existing property, that property's value is replaced with the new value. If the new value is an empty string, the property is removed. Any existing properties that are not modified or removed by the entries in newProperties are retained with their original values.